Summary: kde control panel
Name: ctrlpanel
Version: 3.0
Release: 11.9AX
Source0: ctrlpanel-%{version}.tar.gz
Source1: khwtree-1.1.tar.gz
Source2: ps4_ctrlpanel_xpm.tgz
Source3: ctrlpanel.tgz
Source4: ctrlpanel.desktop
Source6: keyboard_layout.desktop
Source7: printers.desktop

#Asianux
Source8: virt-manager.desktop

Patch0: ctrlpanel-3.0-asianux-helphtmlfiles.patch
Patch1: ctrlpanel-3.0-videocard.patch
Patch2: ctrlpanel-3.0-ja.patch
Patch3: ctrlpanel-3.0-ko.patch
Patch4: ctrlpanel-3.0-asianux-desktop_automation.patch
Patch5: ctrlpanel-3.0-asianux.patch
Patch6: ctrlpanel-3.0-asianux-chinese.patch
Group: System Environment/Base
License: GPL
BuildRoot: /var/tmp/ctrlpanel-%{version}.root

%description
kde control panel

%prep
%setup -q
tar zxf %{SOURCE1}
%patch0 -p1
#%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
export CFLAGS="-fPIC $RPM_OPT_FLAGS" 
export CXXFLAGS="-fPIC $RPM_OPT_FLAGS"
./configure --prefix=/usr
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/
cp -ra khwtree $RPM_BUILD_ROOT/etc/sysconfig/
tar zxf %{SOURCE2} -C $RPM_BUILD_ROOT/usr/share
tar zxf %{SOURCE3} -C $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/applications/kde/
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/applications/kde/
#install -m 0644 %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/khwtree/Group1Hardware/
#install -m 0644 %{SOURCE7} $RPM_BUILD_ROOT/etc/sysconfig/khwtree/Group1Hardware/

#Asianux
#install -m 0644 %{SOURCE8} $RPM_BUILD_ROOT/etc/sysconfig/khwtree/Group2Sys/

# remove kuser for adding rfuser 
rm -rf  $RPM_BUILD_ROOT/etc/sysconfig/khwtree/Group2Sys/kuser.desktop

# replace memory and processor with rftask
#rm -rf $RPM_BUILD_ROOT/etc/sysconfig/khwtree/Group2Sys/memory.desktop
#rm -rf $RPM_BUILD_ROOT/etc/sysconfig/khwtree/Group2Sys/processor.desktop

if [ %_lib = lib64 ]; then
	mv $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/lib64
fi

%files
%defattr(-,root,root)
%doc COPYING
/usr/bin/ctrlpanel
%_libdir/*
/etc/sysconfig/khwtree/*
/usr/share/applications/kde/ctrlpanel.desktop
/usr/share/apps/ctrlpanel/*
/usr/share/apps/konqueror/*
/usr/share/icons/locolor/16x16/apps/ctrlpanel.png
/usr/share/icons/locolor/32x32/apps/ctrlpanel.png
/usr/share/mimelnk/application/ctrl.desktop
/usr/share/pixmaps/*
%exclude /usr/lib/debug/

%post
cd /usr/share/apps/ctrlpanel/ || exit 1
if [ "$LANG" = "zh_CN.UTF-8" ]; then
    [ -f helpdesktoputf8.html ] && ln -fs helpdesktoputf8.html helpdesktop.html
    [ -f helplookutf8.html ] && ln -fs helplookutf8.html helplook.html
    [ -f helpsysconfigutf8.html ] && ln -fs helpsysconfigutf8.html helpsysconfig.html
    [ -f helpsysmanageutf8.html ] && ln -fs helpsysmanageutf8.html helpsysmanage.html
    [ -f helphardwareutf8.html ] && ln -fs helphardwareutf8.html helphardware.html
    [ -f helpnetutf8.html ] && ln -fs helpnetutf8.html helpnet.html
else
    [ -f helpdesktopgb.html ] && ln -fs helpdesktopgb.html helpdesktop.html
    [ -f helplookgb.html ] && ln -fs helplookgb.html helplook.html
    [ -f helpsysconfiggb.html ] && ln -fs helpsysconfiggb.html helpsysconfig.html
    [ -f helpsysmanagegb.html ] && ln -fs helpsysmanagegb.html helpsysmanage.html
    [ -f helphardwaregb.html ] && ln -fs helphardwaregb.html helphardware.html
    [ -f helpnetgb.html ] && ln -fs helpnetgb.html helpnet.html
fi

%postun
if [ $1 = 0 ]; then
    cd /usr/share/apps/ctrlpanel/ || exit 0
    rm -f helpdesktop.html helplook.html helpsysconfig.html helpsysmanage.html helphardware.html helpnet.html
fi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 16 2007 Hua Jie <jiehua@redflag-linux.com> 3.0-11.9AX
- add patch0 and remove ctrlpanel-3.0.tar.gz from CVS,
- because it is better add patch into CVS than add a tar.
- modify some Chinese comments and add utf8 one(patch6)
- add post and postun scripts to create different symbol links for Chinese

* Mon Jul 16 2007 Ki-Young, Lee <kylee@haansoft.com> 3.0-11.8AX
- modify khwtree-1.1.tar.gz
- modify Desktop Settings(ja)

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com> 3.0-11.7AX
- added to ctrlpanel-3.0-asianux-desktop_automation.patch
- added to khwtree-1.1.tar.gz
- added to ctrlpanel-3.0-asianux.patch
- added to ctrlpanel-3.0-ko.patch
- modify ctrlpanel-3.0-ja.patch

* Wed Jun 27 2007 Xiao Liu <xiaoliu@redflag-linux.com> 3.0-11.6AX
- modify Patch#2 for some chinese translation problem

* Tue Jun 26 2007 Ki-Young, Lee <kylee@haansoft.com> 3.0-11.5AX
- added to source#8(virtual machine )
- annotator patch#1( bacause 0byte )

* Tue Jun 12 2007 Ki-Young, Lee <kylee@haansoft.com> 3.0-11.4AX
- added to desktop categories

* Wed Jun  6 2007 Ryoji Kamei <kamei@miraclelinux.com> 3.0-11.3AX
- add Japanese translation (Patch2, Source4, Source6, Source7, #2795)
- trivial fixes
-   include COPYING file
-   fix Group

* Mon May 28 2007 Xiao Liu <xiaoliu@redflag-linux.com> 3.0-11.2AX
- modify Source#0 to fix some character display error
- modify Source#1 to change rfdisplaysetting to system-config-display 
  in ctrlpanel
- del Source#8 that we will not include systheme

* Mon Apr 16 2007 Hua Jie <jiehua@redflag-linux.com> 3.0-11.1AX
- remove audioseting, kmix
- change network setting tool to xnetware

* Fri Mar 23 2007 Yin Peng <pengyin@redflag-linux.com> 3.0-11
- modify Icon in Source8.

* Wed Mar 21 2007 Yin Peng <pengyin@redflag-linux.com> 3.0-10
- add Source8.

* Wed Mar 21 2007 Feng Songtao <stfeng@redflag-linux.com> 3.0-9
* -add logintheme in khwtree-1.0.tar.gz

* Wed Mar 7 2007 Wang Jizheng <jzwang@redflag-linux.com> 3.0-8
- change displaysetting desktop name to Configure VideoCard

* Wed Mar 7 2007 Wang Jizheng <jzwang@redflag-linux.com> 3.0-7
- move rftask from ctrlpanel to rftask package
- remove memory and processor

* Thu Mar 1 2007 Feng Songtao <stfeng@redflag-linux.com> 3.0-6
- update the ctrlpanel.desktop

* Fri Feb 9 2007 Wang Jizheng <jzwang@redflag-linux.com> 3.0-5
- remove kuser.desktop for add rfuser

* Thu Feb 1 2007 Wang Jizheng <jzwang@redflag-linux.com> 3.0-4
- update media.desktop

* Fri Jan 26 2007 Yin Peng <pengyin@redflag-linux.com> 3.0-3
- update ctrlpanel-3.0.tar.gz, khwtree-1.0.tar.gz

* Thu Jan 18 2007 Yin Peng <pengyin@redflag-linux.com> 3.0-2
- add Source4-7, Spanish version.

* Thu Dec 21 2006 wang baisheng <bswang@redflag-linux.com> 3.0-1
- Reconstruct the entire architecture using inheritance. 

* Mon Mar 13 2006 xjchen <xjchen@redflag-linux.com>
- remove a <br> in helplooken.html,helplookja.html,helplook.html

* Tue Dec 27 2005 jhwu <jhwu@redflag-linux.com> -2.0-16
- Modify energy.desktop to exec=kcmshell energy laptop hibernate

* Fri Dec 02 2005 xjchen <xjchen@redflag-linux.com>
- add Name[zh_CN] in /usr/share/apps/konqueror/ctrlpanel, in order to show in konqsidebar module. 

* Tue Sep 06 2005 jhwu <jhwu@redflag-linux.com> -2.0-15
- Add group mouse & keyboard to contain some utilities of mouse and keyboard.

* Mon Aug 22 2005 xjchen <xjchen@redflag-linux.com>
- modify kgrub.desktop: add "kdesu kgrub"

* Thu Jul 21 2005 jhwu <jhwu@redflag-linux.com>
- update kmix.desktop. "exec=kmix --show"

* Mon Jan 21 2005 Jian Meng <jianmenghua@redflag-linux.com> 2.0-12plus
- change display.desktop(remove kdesu option)

* Sat Apr 24 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-8
- change some Japanese docs
* Mon Apr 19 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-7
- fix some error in some desktop files
* Thu Mar 25 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-6
- remove kthememgr from control panel.
* Tue Mar 23 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-5
- fix the error of some Japanese declaration files.
* Thu Mar 11 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-4
- fix the error of some Japanese declaration files.
* Mon Mar 08 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-3
- add some Japanese declaration files.
* Fri Feb 20 2004 xj <jianxing@redflag-linux.com> 2.0-2
- add some Japanese config files.
* Wed Feb 11 2004 xj <jianxing@redflag-linux.com> 2.0-1
- multi language support.
- add some English config files.
* Mon May 19 2003 xj <jianxing@redflag-linux.com> 1.5-1
- start need less time.
* Thu Feb 20 2003 xj <jianxing@redflag-linux.com> 1.3-1
- change khwrc to khwtree
* Mon Dec 23 2002 xj <jianxing@redflag-linux.com> 1.2-14
- disable drop&drag
* Tue Nov 26 2002 xj <jianxing@redflag-linux.com> 1.2-13
- fix khwrc
* Fri Nov 15 2002 xj <jianxing@redflag-linux.com> 1.2-12
- Add many items ,
* Tue Nov 12 2002 xj <jianxing@redflag-linux.com> 1.2-10
- Add many items ,kdesysguard,kdf,keyboard,kdm,kmenuedit,kfloppy
* Thu Nov 7 2002 xj <jianxing@redflag-linux.com> 1.2-9
- Program can remove item when it is uninstalling.
- ctrlpanel -g GroupName -u itemname
* Wed Nov 6 2002 xj <jianxing@redflag-linux.com> 1.2-8
- change config file 
